#include <bits/stdc++.h>

using namespace std;
int a[50020];
int n, q;
long long res;
int main()
{
    ios_base::sync_with_stdio(false);
    cin >> n;
    cin >> q;
    for (int i = 0; i < q; i++)
    {
        cin >> a[i];
    }
    res = (q - 1)*(q) / 2;
    if (a[q-1] == n)
    {
        res++;
    }
     cout << 2*n - 1 - res;
    return 0;
}
